%define tainted 0

%if "%distro_section" == "tainted"
%global tainted 1
%endif

Name:           qmmp
Version:        0.6.8
Release:        %mkrel 1
Summary:        Qt-based Multimedia Player
License:        GPLv2+
Group:          Sound/Players
URL:            http://qmmp.ylsoftware.com/index_en.php
Source0:        http://qmmp.ylsoftware.com/files/%{name}-%{version}.tar.bz2
BuildRequires:  qt4-devel
BuildRequires:  qt4-linguist
BuildRequires:  mad-devel
BuildRequires:  oggvorbis-devel
BuildRequires:  libalsa-devel
BuildRequires:  taglib-devel
BuildRequires:  curl-devel
BuildRequires:  libflac-devel
BuildRequires:  libmpcdec-devel
BuildRequires:  jackit-devel
BuildRequires:  libsamplerate-devel
BuildRequires:  libmodplug-devel
BuildRequires:  libsndfile-devel
BuildRequires:  libwavpack-devel
BuildRequires:  pulseaudio-devel
BuildRequires:  udisks-devel
BuildRequires:  wildmidi-devel >= 0.2.3.4
BuildRequires:  libgme-devel
BuildRequires:  libprojectm-devel
BuildRequires:  libcdio-devel
BuildRequires:  ffmpeg-devel
BuildRequires:  libcddb-devel
BuildRequires:  libmms-devel
BuildRequires:  libbs2b-devel
%if %{tainted}
BuildRequires:  libfaad2-devel
%endif
BuildRequires:  enca-devel
BuildRequires:  cmake

Requires:       unzip
Requires:       wildmidi

%rename %{name}-jack
%rename %{name}-oss
%rename %{name}-musepack
%rename %{name}-ffmpeg
%rename %{name}-wavpack
%rename %{name}-modplug
%rename %{name}-plugins

%define major             0
%define libname           %mklibname %{name} %{major}
%define libname_devel     %mklibname %{name} -d
%define libnameui         %mklibname qmmpui %{major}
%define libnameui_devel   %mklibname qmmpui -d

%rename %{libname}
%rename %{libname_devel}
%rename %{libnameui}
%rename %{libnameui_devel}

%description
This program is an audio-player, written with help of Qt library. The user
interface is similar to winamp or xmms.

Main opportunities:
* winamp and xmms skins support;
* plugins support;
* MPEG1 layer 1/2/3 support;
* Ogg Vorbis support;
* native FLAC support;
* Musepack support;
* WavePack support;
* ModPlug support;
* WMA support;
* PCM WAVE support;
* AlSA sound output;
* JACK sound output;
* OSS sound output;
* PulseAudio output;
* Last.fm scrobbler;
* D-Bus support;
* Spectrum Analyzer;
* sample rate conversion;
%if %{tainted}
* AAC support;
%endif
* streaming support (MP3, Vorbis via IceCast/ShoutCast).

%if %{tainted}
This package is in the 'tainted' section because it is built with AAC support
of libfaad2.
%endif

%prep
%setup -q

%build
%cmake_qt4 -DUSE_HAL:BOOL=OFF -DUSE_OSS:BOOL=ON
%make

%install
%makeinstall_std -C build

%files
%doc AUTHORS ChangeLog
%{_bindir}/%{name}
%{_datadir}/applications/*.desktop
%{_iconsdir}/hicolor/*/apps/*
%{_datadir}/%{name}
%{_libdir}/*
%{_includedir}/%{name}
%{_includedir}/%{name}ui
%{_libdir}/pkgconfig/*


%changelog

* Sat Mar 30 2013 kamil <kamil> 0.6.8-1.mga3.nonfree
+ Revision: 406690
- new version and fix core dumps problems

* Sun Jan 13 2013 umeabot <umeabot> 0.6.5-3.mga3.nonfree
+ Revision: 379854
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 fwang <fwang> 0.6.5-2.mga3
+ Revision: 341738
- rebuild for new ffmpeg

* Tue Dec 11 2012 kamil <kamil> 0.6.5-1.mga3.tainted
+ Revision: 329777
- new version 0.6.5

* Sun Dec 02 2012 kamil <kamil> 0.6.4-2.mga3.tainted
+ Revision: 324757
- rebuild for Mga3 Beta1

* Mon Nov 05 2012 fwang <fwang> 0.6.4-1.mga3.tainted
+ Revision: 314315
- update rpm group
- new version 0.6.4

* Sun Aug 19 2012 kamil <kamil> 0.6.3-1.mga3.tainted
+ Revision: 282102
- new version 0.6.4

* Fri Aug 03 2012 kamil <kamil> 0.6.2-1.mga3.tainted
+ Revision: 278050
- new version 0.6.2

* Thu Jul 26 2012 fwang <fwang> 0.6.1-1.mga3.tainted
+ Revision: 274442
- new version 0.6.1

* Sat Jun 30 2012 kamil <kamil> 0.6.0-1.mga3.tainted
+ Revision: 265621
- new version 0.6.0

* Sat Jun 16 2012 fwang <fwang> 0.5.6-1.mga3.tainted
+ Revision: 260933
- new version 0.5.6

* Wed May 30 2012 kamil <kamil> 0.5.5-1.mga3.tainted
+ Revision: 251811
- new version 0.5.5

* Wed Mar 07 2012 kamil <kamil> 0.5.4-1.mga2.tainted
+ Revision: 220923
- new version 0.5.4

* Mon Feb 06 2012 kamil <kamil> 0.5.3-2.mga2.tainted
+ Revision: 205478
- bump release to be updateable from Mga 1

* Mon Feb 06 2012 kamil <kamil> 0.5.3-1.mga2.tainted
+ Revision: 205122
- new version 0.5.3

* Fri Feb 03 2012 kamil <kamil> 0.5.1-3.mga2.tainted
+ Revision: 204241
- enable ACC support only in tainted
- add AAC support
- adapt .spec for Mageia
- imported package qmmp


* Fri May 20 2011 Funda Wang <fwang@mandriva.org> 0.5.1-1mdv2011.0
+ Revision: 676418
- update file list
- update to new version 0.5.1

  + Sergey Zhemoitel <serg@mandriva.org>
    - correct require wildmidi
    - add require wildmidi
    - add require wildmidi 0.2.3.4 version

* Sat Mar 26 2011 Funda Wang <fwang@mandriva.org> 0.5.0-1
+ Revision: 648585
- update file list
- new version 0.5.0

* Sat Mar 12 2011 Funda Wang <fwang@mandriva.org> 0.4.5-1
+ Revision: 644009
- update to new version 0.4.5

* Thu Nov 04 2010 Funda Wang <fwang@mandriva.org> 0.4.3-1mdv2011.0
+ Revision: 593058
- new version 0.4.3

* Fri Oct 29 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.4.2-1mdv2011.0
+ Revision: 589920
- update to 0.4.2
- clean spec and remove the "mdkversion < 200900" macros

* Sun Jul 11 2010 Funda Wang <fwang@mandriva.org> 0.4.1-1mdv2011.0
+ Revision: 550677
- update file list
- New version 0.4.1

* Sun Jul 11 2010 Götz Waschk <waschk@mandriva.org> 0.3.4-2mdv2011.0
+ Revision: 550644
- rebuild for new libmodplug

* Mon Apr 19 2010 Funda Wang <fwang@mandriva.org> 0.3.4-1mdv2010.1
+ Revision: 536549
- new version 0.3.4

* Thu Mar 11 2010 Funda Wang <fwang@mandriva.org> 0.3.3-1mdv2010.1
+ Revision: 517894
- New version 0.3.3

* Mon Jan 18 2010 Frederik Himpe <fhimpe@mandriva.org> 0.3.2-1mdv2010.1
+ Revision: 493275
- update to new version 0.3.2

* Mon Nov 09 2009 Funda Wang <fwang@mandriva.org> 0.3.1-1mdv2010.1
+ Revision: 463500
- new version 0.3.1

* Sun Jul 05 2009 Funda Wang <fwang@mandriva.org> 0.3.0-1mdv2010.0
+ Revision: 392518
- New version 0.3.0

* Mon May 04 2009 Funda Wang <fwang@mandriva.org> 0.2.4-1mdv2010.0
+ Revision: 371561
- use ulong rather than uint
- New version 0.2.4

* Fri Dec 05 2008 Funda Wang <fwang@mandriva.org> 0.2.3-1mdv2009.1
+ Revision: 310111
- New versio n0.2.3
- drop upstream patches

* Sun Oct 19 2008 Funda Wang <fwang@mandriva.org> 0.2.2-3mdv2009.1
+ Revision: 295181
- rebuild for new ffmpeg

* Tue Sep 02 2008 Funda Wang <fwang@mandriva.org> 0.2.2-2mdv2009.0
+ Revision: 278804
- add patch fixing parallel build and fixes for lib64
- add patch (upstream) to build out of source

* Sun Aug 31 2008 Funda Wang <fwang@mandriva.org> 0.2.2-1mdv2009.0
+ Revision: 278050
- New version 0.2.2

* Tue Aug 05 2008 Funda Wang <fwang@mandriva.org> 0.2.0-2mdv2009.0
+ Revision: 263664
- add conflicts to ease upgrading
- use cmake to build
- New version 0.2.0
- fix URL

* Sat Jul 12 2008 Funda Wang <fwang@mandriva.org> 0.1.6-1mdv2009.0
+ Revision: 234151
- BR ffmpeg
- import qmmp


